org.richfaces.component.attribute

## Interface EventsMouseProps

- All Known Subinterfaces:
    AbstractDivPanel, AbstractTogglePanelItemInterface, AbstractTogglePanelTitledItem, CommandButtonProps, LinkProps, OutputFormatProps
  All Known Implementing Classes:
    AbstractAccordion, AbstractAccordionItem, AbstractAutocomplete, AbstractCollapsiblePanel, AbstractCommandButton, AbstractCommandLink, AbstractContextMenu, AbstractDropDownMenu, AbstractFileUpload, AbstractInplaceInput, AbstractInplaceSelect, AbstractInputNumberSlider, AbstractInputNumberSpinner, AbstractList, AbstractMediaOutput, AbstractMenuGroup, AbstractMenuItem, AbstractMessage, AbstractMessages, AbstractNotify, AbstractNotifyMessage, AbstractNotifyMessages, AbstractOrderingComponent, AbstractOrderingList, AbstractOutputPanel, AbstractPanel, AbstractPanelMenu, AbstractPanelMenuGroup, AbstractPanelMenuItem, AbstractPickList, AbstractProgressBar, AbstractSelect, AbstractSelectComponent, AbstractSelectManyComponent, AbstractTab, AbstractTabPanel, AbstractTogglePanel, AbstractTogglePanelItem, AbstractTooltip, AbstractTree, AbstractTreeNode, HtmlInputNumberSlider, HtmlInputNumberSpinner, HtmlMessage, HtmlMessages, HtmlNotifyMessage, HtmlNotifyMessages, UIAccordion, UIAccordionItem, UIAutocomplete, UICollapsiblePanel, UICommandButton, UICommandLink, UIContextMenu, UIDropDownMenu, UIFileUpload, UIInplaceInput, UIInplaceSelect, UIList, UIMediaOutput, UIMenuGroup, UIMenuItem, UINotify, UIOrderingList, UIOutputPanel, UIPanel, UIPanelMenu, UIPanelMenuGroup, UIPanelMenuItem, UIPickList, UIProgressBar, UISelect, UITab, UITabPanel, UITogglePanel, UITogglePanelItem, UITooltip, UITree, UITreeNode

      public interface EventsMouseProps

  Interface defining the methods for events-mouse-props.xml
  Author:
    Brian Leathem

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.

- - ### Method Detail

    - #### getOnclick

          String getOnclick()

      Javascript code executed when a pointer button is clicked over this element.

    - #### getOndblclick

          String getOndblclick()

      Javascript code executed when a pointer button is double clicked over this element.

    - #### getOnmousedown

          String getOnmousedown()

      Javascript code executed when a pointer button is pressed down over this element.

    - #### getOnmouseup

          String getOnmouseup()

      Javascript code executed when a pointer button is released over this element.

    - #### getOnmouseover

          String getOnmouseover()

      Javascript code executed when a pointer button is moved onto this element.

    - #### getOnmousemove

          String getOnmousemove()

      Javascript code executed when a pointer button is moved within this element.

    - #### getOnmouseout

          String getOnmouseout()

      Javascript code executed when a pointer button is moved away from this element.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.